Page MenuHomePhabricator

PHP error: "Undefined index: url" from ContentTranslation\Hooks::isPotentialTranslator
Closed, ResolvedPublic

Description

Error

MediaWiki version: 1.35.0-wmf.1

message
PHP Notice: Undefined index: url

Notes

Details

Request ID
XaIn@wpAMFUAAIvooicAAABO
Request URL
/w/index.php?title=…&action=submit
Stack Trace
exception.trace
#0 /extensions/ContentTranslation/includes/Hooks.php(53): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /extensions/ContentTranslation/includes/Hooks.php(312): ContentTranslation\Hooks::isPotentialTranslator(User)
#2 /includes/Hooks.php(174): ContentTranslation\Hooks::newArticleCampaign(EditPage, OutputPage)
#3 /includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#4 /includes/EditPage.php(2814): Hooks::run(string, array)
#5 /includes/EditPage.php(699): EditPage->showEditForm()
#6 /includes/actions/EditAction.php(60): EditPage->edit()
#7 /includes/actions/SubmitAction.php(38): EditAction->show()
#8 /includes/MediaWiki.php(514): SubmitAction->show()
#9 /includes/MediaWiki.php(304): MediaWiki->performAction(Article, Title)
#10 /includes/MediaWiki.php(967): MediaWiki->performRequest()
#11 /includes/MediaWiki.php(530): MediaWiki->main()
#12 /index.php(44): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): require(string)
#14 {main}
Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterisPotentialTranslator: Fix the editCount and wiki validation
mediawiki/extensions/ContentTranslation : masterFix PHP error: "Undefined index: url" in Hooks::isPotentialTranslator

Event Timeline

Krinkle created this task.Oct 13 2019, 12:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2019, 12:54 AM
santhosh claimed this task.Oct 14 2019, 5:56 AM

Change 542785 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Fix PHP error: "Undefined index: url" in Hooks::isPotentialTranslator

https://gerrit.wikimedia.org/r/542785

Change 542785 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix PHP error: "Undefined index: url" in Hooks::isPotentialTranslator

https://gerrit.wikimedia.org/r/542785

Nikerabbit triaged this task as Medium priority.Oct 14 2019, 4:11 PM
Nikerabbit added a subscriber: Nikerabbit.

Logspam without user impact -> Normal imho.

Not seen after 2019-10-21T14:09:24 in Logstash.

Nikerabbit closed this task as Resolved.Oct 30 2019, 8:12 AM

Change 556522 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] isPotentialTranslator: Fix the editCount and wiki validation

https://gerrit.wikimedia.org/r/556522

Change 556522 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] isPotentialTranslator: Fix the editCount and wiki validation

https://gerrit.wikimedia.org/r/556522